Class WebOperationInvocationArguments.Builder

java.lang.Object
org.springframework.boot.actuate.endpoint.web.WebOperationInvocationArguments.Builder
Enclosing class:
WebOperationInvocationArguments

public static class WebOperationInvocationArguments.Builder extends Object
Builder used to create invocation arguments from the various parts of a web request.
Since:
4.0.9.1
Author:
Phillip Webb
  • Method Details

    • queryParameters

      public void queryParameters(Map<String,?> queryParameters)
      Include elements from the request query parameters.
      Parameters:
      queryParameters - a map of query parameters (values may be a String, String[] or List<String>
    • pathParameters

      public void pathParameters(Map<String,?> pathParameters)
      Include elements from the request path parameters.
      Parameters:
      pathParameters - a map of oath parameters (values may be a String, String[] or List<String>
    • body

      public void body(@Nullable Map<String,String> body)
      Include elements from the request body.
      Parameters:
      body - the body
    • remainPathSegments

      public void remainPathSegments(Function<String,String[]> remainPathSegments)
      Include the remaining path segments if needed.
      Parameters:
      remainPathSegments - a function to provide the segments given the matchAllRemainingPathSegmentsVariable